import { Country } from '../../Enum/Country'

export class PhoneGenerator {
  generate (country: Country) {
    switch (country) {
      case Country.POLAND:
        return this.getPlPhoneNum()
      case Country.LITHUANIA:
        return this.getLtPhoneNum()
      default:
        return this.getEePhoneNum()
    }
  }

  getPlPhoneNum () {
    const e = ['45', '50', '51', '53', '57', '60', '66', '69', '72', '73', '78', '79', '88']
    let t = this.getBasePhone()
    for (let n = 0; n <= 8; n++) {
      let i = ''
      for (let r = n.toString(), o = 0; o <= 6; o++) {
        i += r
      }
      t === i && (t = t.substring(0, 6) + '9')
    }
    return e[Math.floor(Math.random() * e.length)] + t
  }

  getLtPhoneNum () {
    return '6' + this.getBasePhone()
  }

  getEePhoneNum () {
    return '5' + this.getBasePhone()
  }

  getBasePhone () {
    return Math.floor(9999999 * Math.random()).toString().padStart(7, '0')
  }
}

export default new PhoneGenerator()
